<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum ClassMethod: string
{
    use HasValues;

    case Online = 'online';
    case Offline = 'offline';
    case Hybrid = 'hybrid';

    public function label(): string
    {
        return match ($this) {
            self::Online => 'Daring',
            self::Offline => 'Luring',
            self::Hybrid => 'Hybrid',
        };
    }
}
